asn1_delete_element(3)

NAME
asn1_delete_element - Deletes the element of a structure.

SYNOPSIS
#include <libtasn1.h>

asn1_retCode asn1_delete_element(ASN1_TYPE structure, const char * element_name);

ARGUMENTS

ASN1_TYPE structure
    pointer to the structure that contains the element you want to delete.

const char * element_name
    element's name you want to delete.

DESCRIPTION
Deletes the element named *element_name inside *structure.

RETURNS

ASN1_SUCCESS
Everything OK.

ASN1_ELEMENT_NOT_FOUND
The name element was not found.

COPYRIGHT
Copyright © 2006, 2007, 2008 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual.